/* 
    Robot Simulator

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    (C) 2006 Jason Hunt
    nulluser@gmail.gom 
    
    File: map.h
*/


#ifndef MAP_H
#define MAP_H

#include "utility.h"

// Resolution of mapping grid
#define MAP_GRID_X  75
#define MAP_GRID_Y  75
void compute_map_nav(point &nav, double x, double y);
void world_compute_map_grid( void );
void world_draw_map_grid( HDC dc );
int world_test_map(int map[MAP_GRID_X][MAP_GRID_Y], int x, int y);
int world_get_lowest_index(int map[MAP_GRID_X][MAP_GRID_Y], int x, int y);

void compute_waypoint_vector(double x, double y, point &v);
#endif
