/* 
    Robot Simulator

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    (C) 2006 Jason Hunt
    nulluser@gmail.gom 
*/


#ifndef UTILITY_H
#define UTILITY_H

typedef struct line
{
    double x1, y1;
    double x2, y2;
};


typedef struct point
{
    double x,y;
};



typedef struct linked_list
{
    linked_list *next;
    void *data;
};


double f_rand(double s, double e);
double angle_wrap(double a);
double get_time( void );
double vect_mag(double x, double y);

#endif
